process-cpp: /build/process-cpp/src/process-cpp-3.0.1/tests/fork_and_run_test.cpp File Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Functions | Variables
fork_and_run_test.cpp File Reference
`#include <core/testing/fork_and_run.h>`
`#include <core/posix/signal.h>`
`#include <gtest/gtest.h>`
`#include <core/posix/backtrace.h>`
Include dependency graph for fork_and_run_test.cpp:

Go to the source code of this file.

## Functions
| TEST (ForkAndRun, succeeding_client_and_service_result_in_correct_return_value)
| TEST (ForkAndRun, succeeding_client_and_failing_service_result_in_correct_return_value)
| TEST (ForkAndRun, failing_client_and_failing_service_result_in_correct_return_value)
| TEST (ForkAndRun, throwing_client_is_reported_as_failing)
| TEST (ForkAndRun, exiting_with_failure_client_is_reported_as_failing)
| TEST (ForkAndRun, aborting_client_is_reported_as_failing)
| TESTP (TestingMacros, test_fp_macro_reports_success_for_passing_test, { return core::posix::exit::Status::success;}) TESTP_F(TestingMacrosFixture
| TESTP (TestingMacros, DISABLED_test_fp_macro_reports_success_for_failing_test, { return core::posix::exit::Status::failure;}) TESTP_F(TestingMacrosFixture
| TEST (BacktraceSymbolDemangling, demangling_a_cpp_symbol_works)

## Variables
| test_fp_macro_reports_success_for_passing_test
| DISABLED_test_fp_macro_reports_success_for_failing_test

## Function Documentation

## ◆ TEST() [1/7]

TEST | ( | BacktraceSymbolDemangling | ,
|  | demangling_a_cpp_symbol_works |
| ) |  |

Definition at line 151 of file fork_and_run_test.cpp.

References core::posix::backtrace::Frame::Symbol::for_testing_from_raw_symbol().

Here is the call graph for this function:

## ◆ TEST() [2/7]

TEST | ( | ForkAndRun | ,
|  | aborting_client_is_reported_as_failing |
| ) |  |

Definition at line 116 of file fork_and_run_test.cpp.

References core::testing::fork_and_run().

Here is the call graph for this function:

## ◆ TEST() [3/7]

TEST | ( | ForkAndRun | ,
|  | exiting_with_failure_client_is_reported_as_failing |
| ) |  |

Definition at line 105 of file fork_and_run_test.cpp.

References core::testing::fork_and_run().

Here is the call graph for this function:

## ◆ TEST() [4/7]

TEST | ( | ForkAndRun | ,
|  | failing_client_and_failing_service_result_in_correct_return_value |
| ) |  |

Definition at line 83 of file fork_and_run_test.cpp.

References core::testing::fork_and_run(), and core::posix::exit::success.

Here is the call graph for this function:

## ◆ TEST() [5/7]

TEST | ( | ForkAndRun | ,
|  | succeeding_client_and_failing_service_result_in_correct_return_value |
| ) |  |

Definition at line 72 of file fork_and_run_test.cpp.

References core::testing::fork_and_run(), and core::posix::exit::success.

Here is the call graph for this function:

## ◆ TEST() [6/7]

TEST | ( | ForkAndRun | ,
|  | succeeding_client_and_service_result_in_correct_return_value |
| ) |  |

Definition at line 61 of file fork_and_run_test.cpp.

References core::testing::fork_and_run().

Here is the call graph for this function:

## ◆ TEST() [7/7]

TEST | ( | ForkAndRun | ,
|  | throwing_client_is_reported_as_failing |
| ) |  |

Definition at line 94 of file fork_and_run_test.cpp.

References core::testing::fork_and_run().

Here is the call graph for this function:

## ◆ TESTP() [1/2]

TESTP | ( | TestingMacros | ,
|  | DISABLED_test_fp_macro_reports_success_for_failing_test | ,
|  | { return core::posix::exit::Status::failure;} |
| ) |  |

References core::posix::exit::success.

## ◆ TESTP() [2/2]

TESTP | ( | TestingMacros | ,
|  | test_fp_macro_reports_success_for_passing_test | ,
|  | { return core::posix::exit::Status::success;} |
| ) |  |

## Variable Documentation

## ◆ DISABLED_test_fp_macro_reports_success_for_failing_test

DISABLED_test_fp_macro_reports_success_for_failing_test

Definition at line 144 of file fork_and_run_test.cpp.

## ◆ test_fp_macro_reports_success_for_passing_test

test_fp_macro_reports_success_for_passing_test

Definition at line 132 of file fork_and_run_test.cpp.